<?php

namespace Drupal\Tests\schemaapp\Unit;

use GuzzleHttp\Client;
use Drupal\schemaapp\Cache\SchemaAppCache;

/**
 * Cache Service for testing mock.
 */
class SchemaAppCacheService extends SchemaAppCache {

  /**
   * Override to return a default Guzzle Client.
   *
   * @return \GuzzleHttp\Client
   *   a guzzle client to be used for testing.
   */
  protected function getGuzzle() {
    return new Client();
  }

  /**
   * Mock function for setCache.
   *
   * Do not store anything we aren't testing drupal cache.
   *
   * @param string $contents
   *   Contents to store.
   * @param int $duration
   *   The duration to store.
   *
   * @return null
   *   Leave empty for this test.
   */
  public function setCache(string $contents, $duration = NULL) {
    return NULL;
  }

  /**
   * Mock function for getCache.
   *
   * Testing CDN functionality assume cache is empty.
   *
   * @return null
   *   Do not check cache.
   */
  public function checkCache() {
    return NULL;
  }

}
